Bug 187394 - [patch] devel/libsigrokdecode and science/sigrok-cli: remove dependency on expiring python 3.1
Summary: [patch] devel/libsigrokdecode and science/sigrok-cli: remove dependency on ex...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-09 14:50 UTC by Antoine Brodin
Modified: 2014-04-14 19:20 UTC (History)
1 user (show)

See Also:


Attachments
sigrok.diff (931 bytes, patch)
2014-03-09 14:50 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Brodin freebsd_committer 2014-03-09 14:50:00 UTC
devel/libsigrokdecode depends on deprecated python 3.1, which will be removed on 1st june.
The attached patch changes the dependency to any version of python 3.
Comment 1 Edwin Groothuis freebsd_committer 2014-03-09 14:50:08 UTC
Maintainer of devel/libsigrokdecode,

Please note that PR ports/187394 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187394

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-09 14:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Antoine Brodin freebsd_committer 2014-03-09 14:53:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

track
Comment 4 dfilter service freebsd_committer 2014-04-14 19:14:58 UTC
Author: antoine
Date: Mon Apr 14 18:14:54 2014
New Revision: 351273
URL: http://svnweb.freebsd.org/changeset/ports/351273
QAT: https://qat.redports.org/buildarchive/r351273/

Log:
  Undeprecate by depending on any version of python 3 rather than deprecated
  python 3.1
  
  PR:		ports/187394
  Approved by:	maintainer timeout (1 month)

Modified:
  head/devel/libsigrokdecode/Makefile
  head/science/sigrok-cli/Makefile

Modified: head/devel/libsigrokdecode/Makefile
==============================================================================
--- head/devel/libsigrokdecode/Makefile	Mon Apr 14 17:44:58 2014	(r351272)
+++ head/devel/libsigrokdecode/Makefile	Mon Apr 14 18:14:54 2014	(r351273)
@@ -3,6 +3,7 @@
 
 PORTNAME=	libsigrokdecode
 PORTVERSION=	0.2.0
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://sigrok.org/download/source/libsigrokdecode/
 
@@ -11,12 +12,9 @@ COMMENT=	Framework for hardware logic an
 
 LICENSE=	GPLv3
 
-DEPRECATED=		Depends on expiring lang/python31
-EXPIRATION_DATE=	2014-06-01
-
-USE_PYTHON=	3.1
+USE_PYTHON=	3
 GNU_CONFIGURE=	yes
-USES=	gmake pkgconfig pathfix
+USES=		gmake pkgconfig pathfix
 USE_GNOME=	gtk20
 MAKE_JOBS_UNSAFE=	yes
 USE_LDCONFIG=	yes

Modified: head/science/sigrok-cli/Makefile
==============================================================================
--- head/science/sigrok-cli/Makefile	Mon Apr 14 17:44:58 2014	(r351272)
+++ head/science/sigrok-cli/Makefile	Mon Apr 14 18:14:54 2014	(r351273)
@@ -12,9 +12,6 @@ COMMENT=	Framework for hardware logic an
 
 LICENSE=	GPLv3
 
-DEPRECATED=		Depends on expiring lang/python31
-EXPIRATION_DATE=	2014-06-01
-
 LIB_DEPENDS=	libsigrok.so:${PORTSDIR}/devel/libsigrok \
 		libsigrokdecode.so:${PORTSDIR}/devel/libsigrokdecode
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Antoine Brodin freebsd_committer 2014-04-14 19:15:24 UTC
State Changed
From-To: feedback->closed

Patch committed